/**
 * @brief Test Gyro Code
 * @author Michael Burmeister
 * @date January 5, 2014
 * @version 1.1
 * 
*/
#include "simpletools.h"                      // Include simple tools
#include "gyro.h"

#define SCL 19
#define SDA 20

int x, y, z;

int main()
{
  int i;
  
  i = Gyro_Open(SCL, SDA);
  if (i < 1)
  {
    print("Gyro Not Working\n");
    exit(1);
  }

  print("X, Y, Z\n");
  
  pause(1000);

  for (i=0;i<200;i++)
  {
    Gyro_ReadXYZ(&x, &y, &z);
  
    print("%d, %d, %d, %d\n", x, y, z, Gyro_Status());
   
    pause(125);
  }
  
  print("Done\n");
  Gyro_Close();
}
